<?php

namespace App\Domain\Scraping\Domain\Model\ValueObject;

readonly class SourceId
{
    public function __construct(private string $value)
    {
        if (empty($value)) {
            throw new \InvalidArgumentException('Source ID cannot be empty');
        }
    }

    public function getValue(): string
    {
        return $this->value;
    }
}
